* {
  box-sizing: border-box;
}

.nav {
  margin: 20px;
  display: inline-flex;
  position: relative;
  overflow: hidden;
  max-width: 100%;
  color: #afb1be;
  background: rgb(50, 54, 74);
  padding: 0 20px;
  border-radius: 20px;
  box-shadow: 0 10px 40px rgb(50, 54, 74);
}

.nav-item {
  color: #83818c;
  padding: 20px;
  text-decoration: none;
  transition: .3s;
  margin: 0 6px;
  z-index: 1;
  font-weight: 500;
  position: relative;
  color: #afb1be;
  background: rgb(50, 54, 74);

  &:before {
    content: "";
    position: absolute;
    bottom: -6px;
    left: 0;
    width: 100%;
    height: 5px;
    background-color: #DC6180;
    border-radius: 8px 8px 0 0;
    opacity: 0;
    transition: .3s;
  }

  &:hover{
    cursor: pointer;
  }
}

.nav-item:not(.is-active):hover:before {
  opacity: 1;
  bottom: 0;
}


.nav-item:not(.is-active):hover { color: #DC6180; }

.nav-indicator {
  position: absolute;
  left: 0;
  bottom: 0;
  height: 4px;
  transition: .4s;
  height: 5px;
  z-index: 1;
  border-radius: 8px 8px 0 0;
}

@media (max-width: 675px) {
  .nav {
    overflow: auto;
    justify-content: center;
  }
}
